Bug 24735 - Remove QueryParser-related code
Summary: Remove QueryParser-related code
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 9239 12742
Blocks: 20396 25068
  Show dependency treegraph
 
Reported: 2020-02-26 12:33 UTC by Jonathan Druart
Modified: 2020-05-18 06:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24735: Remove QueryParser-related code (209.52 KB, patch)
2020-02-26 12:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24735: Remove QueryParser-related code (209.41 KB, patch)
2020-02-26 14:31 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24735: remove more code from tests (1.83 KB, patch)
2020-02-26 14:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24735: remove more code from tests (1.90 KB, patch)
2020-02-26 15:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24735: Remove QueryParser-related code (209.64 KB, patch)
2020-02-29 11:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24735: Remove more code from tests (1.95 KB, patch)
2020-02-29 11:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-02-26 12:33:52 UTC
At the last development meeting we have voted to remove the QueryParser-related code
https://wiki.koha-community.org/wiki/Development_IRC_meeting_19_February_2020

Hea tells us that it has not been adopted, and the code/bug tracker that it is not really usable as it. As nobody is willing to work on it, we decided to remove it instead.
Comment 1 Jonathan Druart 2020-02-26 12:43:56 UTC
Created attachment 99643 [details] [review]
Bug 24735: Remove QueryParser-related code

At the last development meeting we have voted to remove the
QueryParser-related code
https://wiki.koha-community.org/wiki/Development_IRC_meeting_19_February_2020

Hea tells us that it has not been adopted, and the code/bug tracker that
it is not really usable as it. As nobody is willing to work on it, we
decided to remove it instead.

Test plan:
 % prove t/db_dependent/Search.t
must return green

See commits from bug 9239 and confirm that the code is removed in this
patch.

Also play with the search on the UI and confirm that you do not see
obvious regressions
Comment 2 Martin Renvoize 2020-02-26 14:31:22 UTC
Created attachment 99647 [details] [review]
Bug 24735: Remove QueryParser-related code

At the last development meeting we have voted to remove the
QueryParser-related code
https://wiki.koha-community.org/wiki/Development_IRC_meeting_19_February_2020

Hea tells us that it has not been adopted, and the code/bug tracker that
it is not really usable as it. As nobody is willing to work on it, we
decided to remove it instead.

Test plan:
 % prove t/db_dependent/Search.t
must return green

See commits from bug 9239 and confirm that the code is removed in this
patch.

Also play with the search on the UI and confirm that you do not see
obvious regressions

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-02-26 14:35:41 UTC
No regressions found, used a few different customer derived zebra configs and datasets for testing.

It's great to see how much code this removes reducing our technical debt significantly.

Single followup inbound for a minor qa script failure ;)

Thanks Jonathan, 

Signing off.
Comment 4 Martin Renvoize 2020-02-26 14:38:27 UTC
On second thoughts.. not sure about the QA script error.. 

perlcritic t/db_dependent/Search.t
Comment 5 Jonathan Druart 2020-02-26 14:59:27 UTC
Created attachment 99648 [details] [review]
Bug 24735: remove more code from tests

That was use by QP tests
Comment 6 Martin Renvoize 2020-02-26 15:02:11 UTC
Created attachment 99649 [details] [review]
Bug 24735: remove more code from tests

That was use by QP tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-02-26 15:02:44 UTC
Excellent, you did exactly what I came to the conclusion of too.. Signed off on followup.
Comment 8 Katrin Fischer 2020-02-29 09:56:05 UTC
Hi Martin, I think we should still send the email to the mailingl ist as planned in the dev meeting before pushing this.
Comment 9 Katrin Fischer 2020-02-29 11:13:15 UTC
Created attachment 99811 [details] [review]
Bug 24735: Remove QueryParser-related code

At the last development meeting we have voted to remove the
QueryParser-related code
https://wiki.koha-community.org/wiki/Development_IRC_meeting_19_February_2020

Hea tells us that it has not been adopted, and the code/bug tracker that
it is not really usable as it. As nobody is willing to work on it, we
decided to remove it instead.

Test plan:
 % prove t/db_dependent/Search.t
must return green

See commits from bug 9239 and confirm that the code is removed in this
patch.

Also play with the search on the UI and confirm that you do not see
obvious regressions

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-02-29 11:13:18 UTC
Created attachment 99812 [details] [review]
Bug 24735: Remove more code from tests

That was use by QP tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-02-29 11:14:20 UTC
It's always sad to remove code that has taken a lot of work and thought to get in, but at this point in time, it seems the right thing to do.
Comment 12 David Cook 2020-03-02 02:29:35 UTC
(In reply to Katrin Fischer from comment #11)
> It's always sad to remove code that has taken a lot of work and thought to
> get in, but at this point in time, it seems the right thing to do.

I was thinking the same thing.
Comment 13 Martin Renvoize 2020-03-02 11:13:50 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Martin Renvoize 2020-03-02 11:15:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 15 Joy Nelson 2020-04-01 21:10:23 UTC
does not apply to 19.11.x branch.  please rebase if needed.
Comment 16 David Cook 2020-05-18 02:55:50 UTC
I think this bug may have broken master package builds (despite what dashboard.koha-community.org is saying)?

I'm getting the following error when building master packages and this seems like the only reason why it would happen...

make[1]: Leaving directory '/home/koha/build/koha-19.12.00-test+20200518020508.3dc1f8a8'
   dh_install -O--fail-missing
cp: cannot stat 'debian/tmp/debian/tmp/etc/koha/searchengine': No such file or directory
dh_install: cp -a debian/tmp/debian/tmp/etc/koha/searchengine debian/koha-common//etc/koha/ returned exit code 1
debian/rules:9: recipe for target 'binary' failed
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1376:
dpkg-buildpackage -rfakeroot -D -us -uc failed
Comment 17 David Cook 2020-05-18 02:56:30 UTC
(In reply to David Cook from comment #16)
> I think this bug may have broken master package builds (despite what
> dashboard.koha-community.org is saying)?
> 

Oh, it's already been reported as Bug 25068. Nevermind.